murano-agent tests are failing on Python 3x

Bug #1652816 reported by Serg Melikyan on 2016-12-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Murano
Medium
zhurong

Bug Description

2016-12-15 18:44:44.951511 | ======================================================================
2016-12-15 18:44:44.951540 | FAIL: muranoagent.tests.unit.executors.test_chef.TestChefExecutor.test_chef_berkshelf_error
2016-12-15 18:44:44.951561 | tags: worker-0
2016-12-15 18:44:44.951586 | ----------------------------------------------------------------------
2016-12-15 18:44:44.951600 | Empty attachments:
2016-12-15 18:44:44.951616 | pythonlogging:'murano-agent'
2016-12-15 18:44:44.951626 |
2016-12-15 18:44:44.951643 | Traceback (most recent call last):
2016-12-15 18:44:44.951683 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/mock/mock.py", line 1305, in patched
2016-12-15 18:44:44.951703 | return func(*args, **keywargs)
2016-12-15 18:44:44.951745 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/muranoagent/tests/unit/executors/test_chef.py", line 194, in test_chef_berkshelf_error
2016-12-15 18:44:44.951762 | 'cookbook')
2016-12-15 18:44:44.951804 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/testcase.py", line 485, in assertRaises
2016-12-15 18:44:44.951824 | self.assertThat(our_callable, matcher)
2016-12-15 18:44:44.951865 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/testcase.py", line 496, in assertThat
2016-12-15 18:44:44.951891 | mismatch_error = self._matchHelper(matchee, matcher, message, verbose)
2016-12-15 18:44:44.951933 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/testcase.py", line 547, in _matchHelper
2016-12-15 18:44:44.951950 | mismatch = matcher.match(matchee)
2016-12-15 18:44:44.951993 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/matchers/_exception.py", line 108, in match
2016-12-15 18:44:44.952017 | mismatch = self.exception_matcher.match(exc_info)
2016-12-15 18:44:44.952061 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/matchers/_higherorder.py", line 62, in match
2016-12-15 18:44:44.952080 | mismatch = matcher.match(matchee)
2016-12-15 18:44:44.952121 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/testcase.py", line 475, in match
2016-12-15 18:44:44.952139 | reraise(*matchee)
2016-12-15 18:44:44.952185 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/_compat3x.py", line 16, in reraise
2016-12-15 18:44:44.952204 | raise exc_obj.with_traceback(exc_tb)
2016-12-15 18:44:44.952247 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/matchers/_exception.py", line 101, in match
2016-12-15 18:44:44.952262 | result = matchee()
2016-12-15 18:44:44.952303 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/site-packages/testtools/testcase.py", line 1049, in __call__
2016-12-15 18:44:44.952326 | return self._callable_object(*self._args, **self._kwargs)
2016-12-15 18:44:44.952365 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/muranoagent/executors/chef/__init__.py", line 93, in _create_cookbook_path
2016-12-15 18:44:44.952381 | os.makedirs(cookbook_path)
2016-12-15 18:44:44.952416 | File "/home/jenkins/workspace/gate-murano-agent-python35-nv/.tox/py35/lib/python3.5/os.py", line 241, in makedirs
2016-12-15 18:44:44.952432 | mkdir(name, mode)
2016-12-15 18:44:44.952468 | FileExistsError: [Errno 17] File exists: '/home/jenkins/workspace/gate-murano-agent-python35-nv/path/berks-cookbooks'

zhurong (zhu-rong) on 2017-01-05
Changed in murano:
assignee: nobody → zhurong (zhu-rong)
importance: Undecided → Medium
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/416817

Changed in murano:
status: Confirmed → In Progress

Change abandoned by zhurong (<email address hidden>) on branch: master
Review: https://review.openstack.org/416817
Reason: Now tests are all passed

zhurong (zhu-rong) on 2017-04-19
Changed in murano:
status: In Progress → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers